Subject: [bess] REG: draft-ietf-bess-evpn-etree-06

From: "sudeep g ggg" <[email-masked]>
Date: 14 Jul 2016 09:00:06 -0000

Respected Authors,

Appreciate your efforts and hard work put in this draft. I have one small query on this draft. In a service provider network the probability of upgrading all the routers at the same time are very low. In that case a router is not capable of understanding this new community, it will be dropping the advertisement correct me if I am wrong. 

section 3.1

In other
words, in case of discrepancy, the multi-homing for that pair of PEs
is assumed to be in default "root" mode for that  or . The leaf indication flag on Ethernet A-D per EVI route
tells the receiving PEs that all MAC addresses associated with this
 or  are from a leaf site. Therefore, if a
PE receives a leaf indication for an AC via the Ethernet A-D per EVI
route but doesn’t receive a leaf indication in the corresponding MAC
route, then it notify the operator and ignore the leaf indication on
the Ethernet A-D per EVI route.

section 3.2.1 

This Leaf label is advertised to other PE devices, using a
new EVPN Extended Community called E-TREE Extended Community (section
5.1) along with an Ethernet A-D per ES route with ESI of zero and a
set of Route Targets (RTs) corresponding to all EVIs on the PE with
at least one leaf site per EVI.

Correct me if I am wrong,apologies for redundant question section 3.1 says the leaf label is advertised on type 1 AD per EVI and section 3.2.1 says type 1 AD per ES.

which one will be used.

Now in a scenario where PE does not understand the new community acting as a root, if the type 1 route is coming from leaf node in a ES. Then if the remote PE drops the type 1 advertisement because it is not able to follow the the new community. How to take care of this kind of issue.

Regards,
Sudhin